Skip to main content
GET
/
v1
/
deployments
/
{deploymentId}
Get deployment
curl --request GET \
  --url https://api.agentmark.co/v1/deployments/{deploymentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": {
    "aborted_by_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "branch": "<string>",
    "cache_decision_detail": "<string>",
    "cache_decision_kind": "<string>",
    "cache_hit": true,
    "code_failure_reason": "<string>",
    "commit_message": "<string>",
    "commit_sha": "<string>",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "deployment_duration_ms": 123,
    "env_version": 123,
    "environment_epoch": 123,
    "environment_name": "<string>",
    "failure_reason": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "initiated_by": "<string>",
    "note": "<string>",
    "source_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source_env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

deploymentId
string<uuid>
required

Response

The deployment record.

data
object
required